.\" $NetBSD: compat_osf1.8,v 1.11 2005/06/20 13:25:25 peter Exp $
.\"
.\" Copyright (c) 1999 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Roland C. Dowdeswell.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd November 4, 1999
.Dt COMPAT_OSF1 8
.Os
.Sh NAME
.Nm compat_osf1
.Nd setup procedure for running OSF/1 binaries
.Sh DESCRIPTION
.Nx
supports running OSF/1 (a.k.a Digital Unix, a.k.a. Tru64) binaries on
.Nx Ns Tn /alpha
systems.
Most programs should work, including the ones that use the shared object
libraries.
Programs that make direct MACH system calls will not work.
The OSF/1 compatibility feature is active for kernels compiled with the
.Dv COMPAT_OSF1
option enabled (see
.Xr options 4 ) .
.Pp
To run dynamically linked programs, you will need the OSF/1 shared libraries,
runtime linker, and certain configuration files found in /etc.
These are installed in a
.Dq shadow root
directory called
.Pa /emul/osf1 .
Any file operations done by OSF/1 programs run under
.Nx
will look in this directory first, and fall back to the file system proper.
So, if an OSF/1 program opens
.Pa /etc/svc.conf ,
.Nx
will first try to open
.Pa /emul/osf1/etc/svc.conf ,
and if that file does not exist it will then try
.Pa /etc/svc.conf .
Shared libraries and configuration specific to OSF/1 should be installed
in the shadow tree.
.Ss Setting up /emul/osf1
The simple technique is to install pkgsrc/emulators/osf1_lib.
(You may
also want to install pkgsrc/www/navigator and/or pkgsrc/www/communicator.)
.Pp
Alternatively, if you have access to an OSF/1 machine and if the licensing
details permit, you can copy the contents of:
.Bl -item -compact -offset indent
.It
.Pa /shlib
.It
.Pa /usr/shlib
.It
.Pa /etc/sia
.It
.Pa /usr/lib/X11/locale
.El
.Pp
(The latter is required to run Netscape Navigator or Communicator.)
.Pp
Also copy
.Bl -item -compact -offset indent
.It
.Pa /etc/svc.conf
.It
.Pa /usr/ccs/lib/cmplrs/otabase/libots.so
.It
.Pa /sbin/loader
.El
.Pp
Or, simply NFS mount the appropriate directories under
.Pa /emul/osf1 .
.Sh SEE ALSO
.Xr config 1 ,
.Xr options 4
.Sh BUGS
Your
.Xr hostname 1
.Em must
contain a dot
.Em or
your
.Xr resolv.conf 5
must contain a
.Li search
line.
Without one of those, the OSF/1 resolver will die and no hostname
resolution will be possible.
.Pp
Certain values in
.Pa /emul/osf1/etc/svc.conf
can cause programs to fail with
.Dq Bad system call .
.Pp
Pathnames pointed to by symbolic links are not looked up in the
shadow root when running an OSF/1 executable.
This is not consistent.
